/********************
 * Stanford Law Review paper Appendix Table 3a.2
 * state Data
 * Lott-Spline Model
 * Lott's coding and incarceration rate
 * 1977-1999
 ********************/

clear
set more off
set mem 40m
set mat 800
use "..\FINAL DATASET.dta", clear
log using "AppendixTable3a.2.log", replace
drop if year<77
#delimit ;


gen ttt1=year-76 if yradopt>77 ;
replace ttt1=0 if ttt1==.;

areg  lvio aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable3a.2.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable3a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrap aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable3a.2.xls, append noparen nolabel coefastr se 3aster;

areg  laga aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable3a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrob aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable3a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lpro aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable3a.2.xls, append noparen nolabel coefastr se 3aster;

areg  laut aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable3a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lbur aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable3a.2.xls, append noparen nolabel coefastr se 3aster;

areg  llar aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg aftr using AppendixTable3a.2.xls, append noparen nolabel coefastr se 3aster;

log close;


