/**********************
 * Stanford Law Review Paper Appendix Table 6A
 * The Effect of Shall-Issue Laws using Lott's Time Trend Specification for Selected Years
 * 1977-1992
 **********************



#delimit;
set more off;
set mem 160000;
log using AppendixTable6.A.log, replace;
set matsize 700;
use "..\Lott", clear;

/* PANEL A2 */
areg  lvio SHTRDBEF SHTRDAFT AOVIOICP DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test SHTRDBEF=SHTRDAFT;

outreg SHTRDBEF SHTRDAFT using AppendixTable6.A2.xls, replace noparen nolabel coefastr 3aster;

areg  lmur SHTRDBEF SHTRDAFT AOMURICP DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test SHTRDBEF=SHTRDAFT;

outreg SHTRDBEF SHTRDAFT using AppendixTable6.A2.xls, append noparen nolabel coefastr 3aster;

areg  lrap SHTRDBEF SHTRDAFT AORAPICP DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test SHTRDBEF=SHTRDAFT;

outreg SHTRDBEF SHTRDAFT using AppendixTable6.A2.xls, append noparen nolabel coefastr 3aster;

areg  laga SHTRDBEF SHTRDAFT AOAGAICP DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test SHTRDBEF=SHTRDAFT;

outreg SHTRDBEF SHTRDAFT using AppendixTable6.A2.xls, append noparen nolabel coefastr 3aster;

areg  lrob SHTRDBEF SHTRDAFT AOROBICP DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test SHTRDBEF=SHTRDAFT;

outreg SHTRDBEF SHTRDAFT using AppendixTable6.A2.xls, append noparen nolabel coefastr 3aster;

areg  lpro SHTRDBEF SHTRDAFT AOPROICP DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test SHTRDBEF=SHTRDAFT;

outreg SHTRDBEF SHTRDAFT using AppendixTable6.A2.xls, append noparen nolabel coefastr 3aster;

areg  laut SHTRDBEF SHTRDAFT AOAUTICP DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test SHTRDBEF=SHTRDAFT;

outreg SHTRDBEF SHTRDAFT using AppendixTable6.A2.xls, append noparen nolabel coefastr 3aster;

areg  lbur SHTRDBEF SHTRDAFT AOBURICP DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test SHTRDBEF=SHTRDAFT;

outreg SHTRDBEF SHTRDAFT using AppendixTable6.A2.xls, append noparen nolabel coefastr 3aster;

areg  llar SHTRDBEF SHTRDAFT AOLARICP DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test SHTRDBEF=SHTRDAFT;

outreg SHTRDBEF SHTRDAFT using AppendixTable6.A2.xls, append noparen nolabel coefastr 3aster;

/*PANEL A3*/
areg  lvio AOVIOICP befrL aftrL DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test befrL==aftrL;

outreg befrL aftrL using AppendixTable6.A3.xls, replace noparen nolabel coefastr 3aster;

areg  lmur AOMURICP befrL aftrL DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test befrL==aftrL;

outreg befrL aftrL using AppendixTable6.A3.xls, append noparen nolabel coefastr 3aster;

areg  lrap AORAPICP befrL aftrL DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test befrL==aftrL;

outreg befrL aftrL using AppendixTable6.A3.xls, append noparen nolabel coefastr 3aster;

areg  laga AOAGAICP befrL aftrL DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test befrL==aftrL;

outreg befrL aftrL using AppendixTable6.A3.xls, append noparen nolabel coefastr 3aster;

areg  lrob AOROBICP befrL aftrL DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test befrL==aftrL;

outreg befrL aftrL using AppendixTable6.A3.xls, append noparen nolabel coefastr 3aster;

areg  lpro AOPROICP befrL aftrL DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test befrL==aftrL;

outreg befrL aftrL using AppendixTable6.A3.xls, append noparen nolabel coefastr 3aster;

areg  laut AOAUTICP befrL aftrL DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test befrL==aftrL;

outreg befrL aftrL using AppendixTable6.A3.xls, append noparen nolabel coefastr 3aster;

areg  lbur AOBURICP befrL aftrL DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test befrL==aftrL;

outreg befrL aftrL using AppendixTable6.A3.xls, append noparen nolabel coefastr 3aster;

areg  llar AOLARICP befrL aftrL DENSITY RPCPI RPCUI RPCIM RPCRPO POPC  PB* PW* PN* IYEAR_78-IYEAR_92 if YEAR<93 [aweight=POPC], absorb(COUNTY);
test befrL==aftrL;

outreg befrL aftrL using AppendixTable6.A3.xls, append noparen nolabel coefastr 3aster;

log close;