/********************
 * Stanford Law Review paper Table 4a.1
 * State Data
 * Dummy Variable Model
 * Vernick's coding and incarceration rate
 * 1991-1999
 ********************/

clear
set more off
set mem 40m
set mat 800
use "..\FINAL DATASET", clear
log using "Table4a.1.log", replace
drop if year<91
#delimit ;

replace vernick_shall=0 if vernick_shall<91;

areg  lvio v_shall incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table4a.1.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur v_shall incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table4a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lrap v_shall incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table4a.1.xls, append noparen nolabel coefastr se 3aster;

areg  laga v_shall incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table4a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lrob v_shall incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table4a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lpro v_shall incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table4a.1.xls, append noparen nolabel coefastr se 3aster;

areg  laut v_shall incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table4a.1.xls, append noparen nolabel coefastr se 3aster;

areg  lbur v_shall incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table4a.1.xls, append noparen nolabel coefastr se 3aster;

areg  llar v_shall incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall using Table4a.1.xls, append noparen nolabel coefastr se 3aster;

log close;