/********************
 * Stanford Law Review paper Table 4a.3
 * State Data
 * Hybrid Model
 * Vernick's coding and incarceration rate
 * 1991-1999
 ********************/

clear
set more off
set mem 40m
set mat 800
use "..\FINAL DATASET.dta", clear
log using "Table4a.3.log", replace
drop if year<91
#delimit ;

replace v_aftr=0 if vernick_shall<91 ;
replace vernick_shall=0 if vernick_shall<91 ;

gen ttt1=year-90 if vernick_shall>90 ;
replace ttt1=0 if ttt1==.;

areg  lvio v_shall v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table4a.3.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur v_shall v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lrap v_shall v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  laga v_shall v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lrob v_shall v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lpro v_shall v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  laut v_shall v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  lbur v_shall v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table4a.3.xls, append noparen nolabel coefastr se 3aster;

areg  llar v_shall v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_92-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_shall v_aftr using Table4a.3.xls, append noparen nolabel coefastr se 3aster;


log close;


