/*********************
 * Stanford Law Review Paper Table 10.1
 * County data
 * Dummy Variable Model
 * Lott's coding
 * 1977-1992
 *********************/


clear
set more off
set mem 40m
set mat 800
use "..\Lott", clear
log using "Table10.1.log", replace
drop if YEAR>92
#delimit ;



areg  lvio shalll AOVIO DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll using Table10.1.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur shalll AOMUR DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll using Table10.1.xls, append noparen nolabel coefastr se 3aster;

areg  lrap shalll AORAP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll using Table10.1.xls, append noparen nolabel coefastr se 3aster;

areg  laga shalll AOAGA DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll using Table10.1.xls, append noparen nolabel coefastr se 3aster;

areg  lrob shalll AOROB DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll using Table10.1.xls, append noparen nolabel coefastr se 3aster;

areg  lpro shalll AOPRO DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll using Table10.1.xls, append noparen nolabel coefastr se 3aster;

areg  laut shalll AOAUT DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll using Table10.1.xls, append noparen nolabel coefastr se 3aster;

areg  lbur shalll AOBUR DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll using Table10.1.xls, append noparen nolabel coefastr se 3aster;

areg  llar shalll AOLAR DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll using Table10.1.xls, append noparen nolabel coefastr se 3aster;

log close;