/*********************
 * Stanford Law Review Paper Table 10.3
 * County data
 * Hybrid Model
 * Lott's coding
 * 1977-1992
 *********************/

clear
set more off
set mem 40m
set mat 800
use "..\Lott", clear
log using "Table10.3.log", replace
drop if YEAR>92
#delimit ;



gen ttt1=YEAR-76 if (yradopt>77 & yradopt<93);
replace ttt1=0 if ttt1==.;

areg  lvio shalll aftr ttt1 AOVIO DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table10.3.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur shalll aftr ttt1 AOMUR DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table10.3.xls, append noparen nolabel coefastr se 3aster;

areg  lrap shalll aftr ttt1 AORAP DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table10.3.xls, append noparen nolabel coefastr se 3aster;

areg  laga shalll aftr ttt1 AOAGA DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table10.3.xls, append noparen nolabel coefastr se 3aster;

areg  lrob shalll aftr ttt1 AOROB DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table10.3.xls, append noparen nolabel coefastr se 3aster;

areg  lpro shalll aftr ttt1 AOPRO DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table10.3.xls, append noparen nolabel coefastr se 3aster;

areg  laut shalll aftr ttt1 AOAUT DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table10.3.xls, append noparen nolabel coefastr se 3aster;

areg  lbur shalll aftr ttt1 AOBUR DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table10.3.xls, append noparen nolabel coefastr se 3aster;

areg  llar shalll aftr ttt1 AOLAR DENSITY RPCPI RPCUI RPCIM POPC PB* PW* PN* IYEAR_78-IYEAR_92 [aweight=POPC], absorb(COUNTY) robust;
outreg shalll aftr using Table10.3.xls, append noparen nolabel coefastr se 3aster;



log close;


